<?php
/**
 * @file
 * Subs Rules integration.
 */

/**
 * Implements hook_rules_event_info().
 *
 * Defines rules events.
 */
function subs_rules_event_info() {
  $events = array();

  // For the sake of convenience.
  $defaults = array(
    'group' => t('Subscription'),
    'variables' => array(
      'subs' => array(
        'label' => t('Subscription object'),
        'type' => 'subs',
        'skip save' => TRUE,
      ),
    ),
  );

  // Subscription is activated.
  $events['subs_activate'] = array(
    'label' => t('Subscription is activated.'),
  ) + $defaults;

  // Subscription is pending.
  $events['subs_pending'] = array(
    'label' => t('Subscription is pending.'),
  ) + $defaults;

  // Subscription is renewed.
  $events['subs_renew'] = array(
    'label' => t('Subscription is renewed.'),
  ) + $defaults;

  // Subscription enters grace period.
  $events['subs_grace'] = array(
    'label' => t('Subscription enters grace period.'),
  ) + $defaults;

  // Subscription expires.
  $events['subs_expire'] = array(
    'label' => t('Subscription expires.'),
  ) + $defaults;

  return $events;
}